Subject: GUIX_DAEMON_SOCKET with ssh doesn't cache connections

From: Efraim Flashner <[email-masked]>
Date: Mon, 10 Jan 2022 11:44:32 +0200

I'm experimenting some more with GUIX_DAEMON_SOCKET, and while when
using guix offload I see a socket a /run/user/1000/destination/socket,
there's nothing similar when using
GUIX_DAEMON_SOCKET=ssh://other-machine. Depending on the machine in
question it can take several minutes before a build is started, and I'm
having a hard time maintaining the connection until the end of a longer
build like gccgo.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted